namespace EDPlayerJournal;

/// <summary>
/// Thrown when the parser encounters an invalid journal entry
/// </summary>
public class InvalidJournalEntryException : Exception {
    public InvalidJournalEntryException() { }
    public InvalidJournalEntryException(string message) : base(message) { }
    public InvalidJournalEntryException(string message, Exception inner) : base(message, inner) { }
}

/// <summary>
/// Thrown when the parser finds an invalid journal file
/// </summary>
public class JournalException : Exception {
    public JournalException(string message) : base(message) {}
}
